<?php

/*
Plugin Name: CaliCoTek Floating Social Slider
Plugin URI: http://calicotek.com/calicotek-wp/
Description: (New - Under Development Beta)This Plugin Adds A Floating Social Like/Follow Slider to The Sides Top or Bottom of ony Wordpress Website. Includes Facebook, Twitter, Google Plus and Email.
Version: 1.4.1
Author: modmanmatt
Author URI: http://calicotek.com
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/

// For debugging purposes
//error_reporting(E_ALL);
//ini_set("display_errors", 1);
//define('WP-DEBUG', true);

/* Version check */
global $wp_version;
$exit_msg=__('calicotek ebay dashboard tools requires WordPress version 3.0 or higher; please update first.', 'cct_social_slider');
if (version_compare($wp_version,"3.0","<"))
{
	exit ($exit_msg);
}



// This will Intall the Necessary Action Triggers and functions required for this plugin to work

// this wil add the action trigger to your wp site using the wp_head Trigger
  add_action('wp_head', 'insert_css_code');
  add_action('wp_head', 'insert_social_slider_code');
//  add_action('admin_menu', 'cct_social_slider_add_options_page'); // Register options Page
// add_filter( 'plugin_action_links', 'cct_social_slider_plugin_action_links', 10, 2 ); // adds setting link to plugin installer page
//  add_action( 'admin_menu', 'register_cct_social_slider_menu_page' ); // register dash menu and page action


// This inserts the code for the css style and slider images code from style.css
  function insert_css_code() {
    include( 'style.css' );	
  }
// This inserts the code for the Social Slider Scripts code from fss-code.php
  function insert_social_slider_code() {
    include( 'fss-code.php' );	
  }
if(!class_exists('cct_social_slider_PluginOptions')) :

// DEFINE PLUGIN ID
define('CCT_Social_Slider_PLUGINOPTIONS_ID', 'cct-social-slider-plugin-options');
// DEFINE PLUGIN NICK
define('CCT_Social_Slider_PLUGINOPTIONS_NICK', 'CCT Social Slider');

    class CCT_Social_Slider_PluginOptions
    {
		/** function/method
		* Usage: return absolute file path
		* Arg(1): string
		* Return: string
		*/
		public static function file_path($file)
		{
			return ABSPATH.'wp-content/plugins/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)).$file;
		}
		/** function/method
		* Usage: hooking the plugin options/settings
		* Arg(0): null
		* Return: void
		*/
		public static function register()
		{
			register_setting(CCT_Social_Slider_PLUGINOPTIONS_ID.'_options', 'cct_social_slider_quote_facebook');
		    register_setting(CCT_Social_Slider_PLUGINOPTIONS_ID.'_options', 'cct_social_slider_quote_twitter');
		    register_setting(CCT_Social_Slider_PLUGINOPTIONS_ID.'_options', 'cct_social_slider_quote_googleplus');
		    register_setting(CCT_Social_Slider_PLUGINOPTIONS_ID.'_options', 'cct_social_slider_quote_email');
		}
		/** function/method
		* Usage: hooking (registering) the plugin menu
		* Arg(0): null
		* Return: void
		*/
		public static function menu()
		{
			// Create menu tab
			add_options_page(CCT_Social_Slider_PLUGINOPTIONS_NICK.' Plugin Options', CCT_Social_Slider_PLUGINOPTIONS_NICK, 'manage_options', CCT_Social_Slider_PLUGINOPTIONS_ID.'_options', array('cct_social_slider_PluginOptions', 'options_page'));
		}
		/** function/method
		* Usage: show options/settings form page
		* Arg(0): null
		* Return: void
		*/
		public static function options_page()
		{ 
			if (!current_user_can('manage_options')) 
			{
				wp_die( __('You do not have sufficient permissions to access this page.') );
			}
			
			$plugin_id = CCT_Social_Slider_PLUGINOPTIONS_ID;
			// display options page
			include(self::file_path('options.php'));
		}
		/** function/method
		* Usage: filtering the content
		* Arg(1): string
		* Return: string
		*/
		public static function content_with_quote($content)
		{
			$quote = '<p><blockquote>' . get_option('cct_social_slider_po_quote') . '</blockquote></p>';
			return $content . $quote;
		}
    }
	
	if ( is_admin() )
	{
		add_action('admin_init', array('cct_social_slider_PluginOptions', 'register'));
		add_action('admin_menu', array('cct_social_slider_PluginOptions', 'menu'));
	}
	add_filter('the_content', array('cct_social_slider_PluginOptions', 'content_with_quote'));
endif;

?>